package me.Demon.DemonNeverLag.ClearEntity;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.World;
import org.bukkit.entity.Chicken;
import org.bukkit.entity.Egg;
import org.bukkit.entity.Entity;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.ItemMergeEvent;
import org.bukkit.event.entity.ItemSpawnEvent;
import org.bukkit.inventory.ItemStack;

public class AntiChicken implements Listener {

    @EventHandler
    public void onEntityDropItem(ItemSpawnEvent e) {
        ItemStack items = e.getEntity().getItemStack();
        if(items.getType() == Material.EGG) {
            Location centerLocation = e.getEntity().getLocation();
            World world = centerLocation.getWorld();
            int radius = 3;
            int maxChickenCount = 20;
            // 统计在该区域内的鸡的数量
            int chickenCount = 0;
            for (Entity entity : world.getNearbyEntities(centerLocation, radius, radius, radius)) {
                if (entity instanceof Chicken) {
                    chickenCount++;
                }
            }
            // 如果鸡的数量超过10只，将多余的鸡清理掉
            if (chickenCount > maxChickenCount) {
                int amount = 0;
                int chickensToRemove = chickenCount - maxChickenCount;
                for (Entity entity : world.getEntities()) {
                    if (entity instanceof Chicken) {
                        entity.remove();
                        amount++;
                        chickensToRemove--;
                        if (chickensToRemove <= 0) {
                            break;
                        }
                    }
                }
                int x = (int) centerLocation.getX();
                int y = (int) centerLocation.getY();
                int z = (int) centerLocation.getZ();
                Bukkit.getConsoleSender().sendMessage("[日志-刷蛋鸡] 检测到密集刷蛋鸡 "+x+","+y+","+z+" 已清理多余鸡["+amount+"只].");
            }
        }
    }
}
