package me.Demon.DemonNeverLag.listener;

import me.Demon.DemonNeverLag.Main;
import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.entity.Item;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.ItemMergeEvent;
import org.bukkit.event.player.PlayerDropItemEvent;
import org.bukkit.inventory.ItemStack;
import org.bukkit.metadata.FixedMetadataValue;

public class AntiItemMerge implements Listener {


    @EventHandler
    public void onpick(PlayerDropItemEvent e) {
        Item item = e.getItemDrop();
        item.setMetadata("drop",new FixedMetadataValue(Main.plugin,"true"));
    }

    @EventHandler
    public void onItemMerge(ItemMergeEvent e) {
        Item item_en = e.getEntity();
        Item item = e.getTarget();
        if(!item.hasMetadata("drop") && !item_en.hasMetadata("drop")) {
            Bukkit.getScheduler().runTaskLater(Main.plugin, new Runnable() {
                @Override
                public void run() {
                    ItemStack item = e.getTarget().getItemStack();
                    if(item.getType() == Material.CACTUS) {
                        if (item.getAmount() >= 12) {
                            item.setAmount(12);
                        }
                    }
                }
            }, 2);
        }
    }
}
