package me.Demon.DemonNeverLag.listener;

import me.Demon.DemonNeverLag.Main;
import org.bukkit.ChatColor;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockPlaceEvent;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.event.inventory.InventoryType;
import org.bukkit.event.player.AsyncPlayerChatEvent;
import org.bukkit.event.player.PlayerDropItemEvent;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;

public class AntiShuaDongXi implements Listener {

    @EventHandler
    public void chat(BlockPlaceEvent e) {
        Player p = e.getPlayer();
        Location loc = e.getBlock().getLocation();
        if(loc.getBlockY() > 250){
            e.setCancelled(true);
            p.sendMessage(Main.prefix+"您没有在此高空进行建筑的权限.");
        }else if(loc.getBlockY() < 2){
            e.setCancelled(true);
            p.sendMessage(Main.prefix+"您没有在此低空进行建筑的权限.");
        }
    }

    @EventHandler
    public void onAnitBook(InventoryClickEvent e){
        Player p = (Player) e.getWhoClicked();
        if(e.getInventory() != null) {
            if(!e.getInventory().getType().name().equalsIgnoreCase("CRAFTING")) {
                ItemStack item = e.getCurrentItem();
                if (!Main.itemIsNull(item) && item.getType() == Material.BOOK_AND_QUILL) {
                    e.setCancelled(true);
                    p.sendMessage(Main.prefix+"此物品因版本限制,无法在背包外其他地方使用.");
                    return;
                }
                if (!Main.itemIsNull(item) && item.getType() == Material.WRITTEN_BOOK) {
                    e.setCancelled(true);
                    p.sendMessage(Main.prefix+"此物品因版本限制,无法在背包外其他地方使用.");
                    return;
                }
            }
        }
    }

    @EventHandler
    public void onAnitBookDrop(PlayerDropItemEvent e){
        ItemStack item = e.getItemDrop().getItemStack();
        if (!Main.itemIsNull(item) && item.getType() == Material.BOOK_AND_QUILL) {
            e.setCancelled(true);
            return;
        }
        if (!Main.itemIsNull(item) && item.getType() == Material.WRITTEN_BOOK) {
            e.setCancelled(true);
            return;
        }
    }

}
